#1432 closed defect (fixed)

GCC 4.4 and .eh_frame

Reported by: Sebastian Huber Owned by: Ralf Corsepius
Priority: normal Milestone: 4.11
Component: tool/gcc Version: 4.11
Severity: normal Keywords:
Cc: joel.sherrill@… Blocked By:
Blocking:

Description (last modified by Gedare Bloom)

GCC generates .eh_frame when debug is enabled (-g). This is rather bad for targets with small memory sizes.

See also:

http://www.mail-archive.com/gcc-bugs@gcc.gnu.org/msg258041.html
http://linux.derkeiler.com/Mailing-Lists/Kernel/2009-02/msg10299.html

It seems there is a workaround:

Add -fno-dwarf2-cfi-asm option to CFLAGS.

Change History (3)

comment:1 Changed on Aug 24, 2011 at 7:43:48 AM by Sebastian Huber

Milestone: 2
Resolution: fixed
Status: newclosed

Fixed long ago.

comment:2 Changed on Nov 22, 2014 at 12:05:10 PM by Gedare Bloom

Description: modified (diff)
Milestone: 4.11
Version: unspecified4.11

comment:3 Changed on Oct 10, 2017 at 5:58:26 AM by Sebastian Huber

Component: GCCtool/gcc
Note: See TracTickets for help on using tickets.